Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 315067 - media-video/whaawmp: punt from Portage
Summary: media-video/whaawmp: punt from Portage
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Gentoo TreeCleaner Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 308257
  Show dependency tree
 
Reported: 2010-04-13 20:40 UTC by Arfrever Frehtes Taifersar Arahesis (RETIRED)
Modified: 2010-07-31 10:08 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-04-13 20:40:40 UTC
- If this package can be used as a library and installs Python modules
  (*.so or *.py) into site-packages directories, then consider supporting
  installation for multiple Python versions.
  Please read section "Types of packages" in documentation [1] to decide
  if this package can support installation for multiple Python versions.

- Ensure that the ebuilds do not use deprecated functions or variables.

- Please check if Python 3 is supported by this package. You can temporarily
  set Python 3 as main active version of Python to properly test if this
  package supports Python 3.

- If this package does not support Python 3:
  - Specify dependency on Python 2.
    You can use PYTHON_DEPEND helper variable, which should be set before
    inheriting of python eclass.
    Please read section "Specification of dependency on Python" in
    documentation [1].

  - If this package cannot support installation for multiple versions of
    Python, then set active version of Python using
    python_set_active_version().

  - Ensure that shebangs in installed scripts specify correct version of
    Python. If shebangs are too generic (e.g. '#!/usr/bin/python'), then you
    can use python_convert_shebangs() to convert shebangs.
    (Wrapper scripts generated by python_generate_wrapper_scripts() do not
    require any changes.)
    Please read section "Shebangs in installed scripts" in documentation [1].

  - To ensure that changes applied to the ebuilds are sufficient, please
    temporarily set Python 3 as main active version of Python and test if
    this package can be properly installed and if it works at run time.

Please see documentation [1] for more details.
[1] http://www.gentoo.org/proj/en/Python/developersguide.xml
Comment 1 nm (RETIRED) gentoo-dev 2010-04-13 20:56:56 UTC
Hi Ben. As the proxy committer for me, I'd like to just get this package punted.

I don't use it anymore, and there hasn't been a release in many, many months. There are also outstanding UI bugs and random crashers, which is partly why I gave up on it some time ago.

Rather than put in the work to bring the ebuild up-to-date for @$^&ing Python 3, I'd be happier if it was just punted. That, or someone else can maintain it, because I'm no longer interested.

Thanks!
Comment 2 cx405 2010-06-14 02:59:45 UTC
I became aware of this only via mask warning on update :)
Yes, the app has some bugs appearing when opening supported formats.

Can you please name any GTK-based lightweight player similar to this one, in the case whaawmp gets pned? (This is not a joke) Thanks!
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-07-31 02:09:37 UTC
(In reply to comment #2)
> I became aware of this only via mask warning on update :)
> Yes, the app has some bugs appearing when opening supported formats.
> 
> Can you please name any GTK-based lightweight player similar to this one, in
> the case whaawmp gets pned? (This is not a joke) Thanks!
> 

Josh, got a response here? I'm about to remove the package.
Comment 4 nm (RETIRED) gentoo-dev 2010-07-31 02:32:18 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Can you please name any GTK-based lightweight player similar to this one, in
> > the case whaawmp gets pned? (This is not a joke) Thanks!
> > 
> 
> Josh, got a response here? I'm about to remove the package.

Totem, Mplayer/gnome-mplayer, Christine, Parole, gxine, Miro, xnoise.

Just check the media-video category (eix -SsC media-video) and check http://gnomefiles.org. Find something interesting, check Portage to see if it exists. If not, it's almost certainly in an ebuild somewhere on overlays.gentoo.org.

Feel free to remove WhaawMP; upstream is still dead.
Comment 5 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-07-31 03:02:44 UTC
Ok, thx. removed.
Comment 6 cx405 2010-07-31 10:08:56 UTC
@Josh Yep, thanks for the list.